Roomability Guest API
  1. RoomType
Roomability Guest API
  • Introduction
  • Authentication
  • Errors
  • Booking Flow
  • Reservation
    • Add
      POST
    • Availability
      POST
    • Cancel
      POST
    • Booking Ref
      GET
  • Country
    • Get Countries List
      GET
  • State
    • Get State List
      GET
  • RoomType
    • Get Room Types
      GET
    • Get Room Detail
      GET
  • Guest
    • Detail
      GET
  • Term
    • Detail
      GET
  • Privacy
    • Detail
      GET
  • Payment Method
    • Active List
      GET
  • Paystack
    • Verify
      GET
    • Initialize
      POST
  • Hotel
    • Detail
      GET
    • Hotel Rule
      GET
  • PayGateway
    • Detail
  • CancelPolicy
    • Detail
  • Search List
    GET
  • Phone Code List
    GET
  1. RoomType

Get Room Detail

GET
https://guestapi.roomability.io/RoomType/Detail
Last modified:2026-03-13 10:50:00

RoomType Detail#

This endpoint retrieves the details of a specific room type.

Request#

Endpoint#

GET /RoomType/Detail

Query Parameters#

roomTypeId (integer): The ID of the room type for which details are to be retrieved.

Response#

types (array of objects)
facilityTypeId (integer): The ID of the facility type.
roomTypeId (integer): The ID of the room type.
roomType (string): The name of the room type.
summary (string): The summary of the room type.
adult (integer): The maximum number of adults allowed in the room.
children (integer): The maximum number of children allowed in the room.
currencySymbol (string): The currency symbol for the room rate.
rateId (integer): The ID of the room rate.
rate (integer): The room rate.
available (integer): The number of available rooms.
image1 to image8 (string): URLs of room images.
errorCode (integer): The error code, if any.
errorMessage (string): The error message, if any.

Request

Query Params

Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://guestapi.roomability.io/RoomType/Detail?roomTypeId=1' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json'
Response Response Example
{
    "type": {
        "facilityTypeId": 1,
        "roomTypeId": 1,
        "roomType": "First Class Suite",
        "detail": "",
        "adult": 2,
        "children": 2,
        "currencySymbol": "₦",
        "rateId": 1,
        "rate": 60000,
        "available": 0,
        "image1": "https://api.reservations.ng/images/hotels/room-placeholder.png",
        "image2": "https://api.reservations.ng/images/hotels/room-placeholder.png",
        "image3": "https://api.reservations.ng/images/hotels/room-placeholder.png",
        "image4": "https://api.reservations.ng/images/hotels/room-placeholder.png",
        "image5": "",
        "image6": "",
        "image7": "",
        "image8": ""
    },
    "errorCode": 0,
    "errorMessage": "Successfully retrieved room types."
}
Modified at 2026-03-13 10:50:00
Previous
Get Room Types
Next
Guest
Built with